import { get, put, post, deletes } from '@/http/index'

// 查询维修信息列表
export const getMaintenance = async (data) => {
  return await get('/als/maintenance/list', data)
}

// 新增维修信息
export const addMaintenance = async (data) => {
  return await post('/als/maintenance', data)
}

// 修改维修信息
export const updateMaintenance = async (data) => {
  return await put('/als/maintenance', data)
}

// 删除维修信息
export const removeMaintenance = async (id) => {
  return await deletes('/als/maintenance/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
